API ReferenceAdmin Oidc Apps
Reinstate Oidc App
POST
/v1/admin/oidc-apps/{client_id}/reinstateReinstate a suspended application.
It serves again with the same configuration and credentials; nothing needs reconfiguring and users sign in with the devices and passkeys they hold. Tokens and sessions ended by the suspend stay ended. Reinstating an application that is not suspended changes nothing. Returns 404 for an unknown application.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
client_id*Client Id
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/admin/oidc-apps/string/reinstate"{ "client_id": "string", "name": "string", "allowed_redirect_uris": [ "string" ], "post_logout_redirect_uris": [ "string" ], "client_type": "confidential", "billing_model": "workforce", "require_pkce": true, "response_types": [ "string" ], "login_method": "passkeys", "allow_signup": true, "signup_group_id": "ff47fb4a-8bed-4084-996e-a273d2ed9d1b", "group_count": 0, "accessible_user_count": 0, "tenant_has_groups": false, "allowed_email_origins": [ "string" ], "terms_url": "string", "privacy_url": "string", "scopes": [ "string" ], "client_metadata": {}, "claim_map": { "property1": "string", "property2": "string" }, "token_endpoint_auth_method": "client_secret_post", "jwks": {}, "jwks_uri": "string", "tls_client_auth_subject_dn": "string", "tls_client_auth_ca_pem": "string", "tls_client_certificate_pem": "string", "dpop_bound_access_tokens": false, "tls_client_certificate_bound_access_tokens": false, "fapi_profile": "plain_fapi", "require_signed_request_object": false, "allow_client_credentials": false, "first_party_challenge_enabled": false, "ciba_dpop_binding_allowed": false, "backchannel_token_delivery_mode": "poll", "backchannel_client_notification_endpoint": "string", "face_pki_delivery_endpoint": "string", "user_alert_channels": [ "string" ], "user_alert_endpoint": "string", "face_pki_tenant_scope_allowed": false, "backchannel_logout_uri": "string", "backchannel_logout_session_required": false, "backchannel_logout_initiators": [ "string" ], "default_max_age": 0, "id_token_signed_response_alg": "ES256", "id_token_includes_scope_claims": true, "id_token_lifetime_seconds": 0, "refresh_token_idle_lifetime_enabled": true, "refresh_token_idle_lifetime_seconds": 0, "refresh_token_max_lifetime_enabled": true, "refresh_token_max_lifetime_seconds": 0, "allow_refresh_token_rotation": true, "refresh_token_rotation_overlap_seconds": 0, "created_at": "2019-08-24T14:15:22Z", "revoked_at": "2019-08-24T14:15:22Z", "suspended_at": "2019-08-24T14:15:22Z", "primary_color": "string", "accent_color": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}